import { Component, Input } from '@angular/core';
import { IStatistics } from '../../../models/color.map';

@Component({
    selector: 'fm-map-statistics-details',
    templateUrl: './statistics-details.component.html',
    styles: ['.nopadding{\n' +
            '  padding: 0 !important;\n' +
            '  margin: 0 !important;\n' +
            '}'],
    standalone: false
})
export class StatisticsDetailsComponent {

  @Input()
  statistics: IStatistics;
  @Input()
  scale: number | null;

  public getScaledValue(value: number): number {
    let v = value;
    if (this.scale && this.scale != 0) {
      v = this.scale * value;
    }
    return v;
  }

  public getSquaredScaledValue(value: number): number {
    let v = value;
    if (this.scale && this.scale != 0) {
      v = (this.scale * this.scale) * value;
    }
    return v;
  }

}
